/***************************************************************************
 **
 **  Copyright (C) 2023 wangjianjun <wangjianjun1018@qq.com>
 **  Contact: https://blog.csdn.net/wocanimei007?type=blog
 **
 **
****************************************************************************/
#include "fancypopupwidget.h"
#include "fancytab.h"

#include <QEvent>



FancyPopupWidget::FancyPopupWidget(QWidget *parent)
    : QWidget(parent, Qt::Popup)
{

}

FancyPopupWidget::~FancyPopupWidget()
{

}

bool FancyPopupWidget::event(QEvent *event)
{
    switch (event->type()) {
        case QEvent::Show: {
            emit aboutToShow();
        }
        break;
        case QEvent::Hide: {
            emit aboutToHide();
        }
        break;
        default:
        break;
    }
    return QWidget::event(event);
}
